Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSGIStyle Class Reference

The QSGIStyle class provides SGI/Irix look and feel. More...

    #include <QSGIStyle>

Inherits QMotifStyle.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QSGIStyle ( bool useHighlightCols = false )
- virtual ~QSGIStyle ()
- void drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default, SCFlags sub = SC_All, SCFlags subActive = SC_None /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- void drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- void drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- QRect querySubControlMetrics ( ComplexControl control, const QWidget * widget, SubControl sc ) const
- QSize sizeFromContents ( ContentsType contents, const QWidget * widget, const QSize & contentsSize ) const
- QRect subRect ( SubRect r, const QWidget * widget ) const

- 10 public functions inherited from QMotifStyle
- 9 public functions inherited from QCommonStyle
- 23 public functions inherited from QStyle
- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

The QSGIStyle class provides SGI/Irix look and feel.

This class implements the SGI look and feel. It resembles the SGI/Irix Motif GUI style as closely as QStyle allows.

Most of the functions are documented in the base classes QMotifStyle, QCommonStyle, and QStyle, but the QSGIStyle overloads of drawComplexControl(), drawControl(), drawPrimitive(), querySubControlMetrics(), setUseHighlightColors(), sizeFromContents(), subRect(), and useHighlightColors(), are documented here.

## Member Function Documentation

### QSGIStyle::QSGIStyle ( bool useHighlightCols = false )

Constructs a QSGIStyle.

If useHighlightCols is false (default value), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

See also QMotifStyle::useHighlightColors().

### QSGIStyle::~QSGIStyle () `[virtual]`

Destroys the style.

### void QSGIStyle::drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default, SCFlags sub = SC_All, SCFlags subActive = SC_None /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### void QSGIStyle::drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### void QSGIStyle::drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### QRect QSGIStyle::querySubControlMetrics ( ComplexControl control, const QWidget * widget, SubControl sc ) const

### QSize QSGIStyle::sizeFromContents ( ContentsType contents, const QWidget * widget, const QSize & contentsSize ) const

### QRect QSGIStyle::subRect ( SubRect r, const QWidget * widget ) const